[p4perl] P4Perl Install on Solaris

Tony Smith tony at smee.org
Mon Feb 28 02:36:17 PST 2005


Hi Thomas,

> I'm having difficulty installing P4Perl and I was wondering if someone
> would be able to help me out.
>
> Here is what I have:
> SunOS 5.9
> gcc version 3.4.2
> Latest release of P4Perl
> Perl 5.6.1
> Perl API 04.2 for Solaris8

Looks like your build is mixing gcc and Sun's compiler.

> Here are my results:

> c++ -c -I/home/tom/perforce -Ilib -I/usr/local/include -D_LARGEFILE_SOURCE
> -D_FILE_OFFSET_BITS=64 -O   -DVERSION=\"3.4831\" -DXS_VERSION=\"3.4831\"
> -KPIC -I/usr/local/perl5.6.1/lib/5.6.1/sun4-solaris/CORE -Dsolaris
> -DOS_SOLARIS29 -Dconst_char='const char' -DP4API_VERSION=513026 P4.c c++:
> unrecognized option `-KPIC'

'gcc -KPIC' is not valid for gcc so my guess is that your Perl was built with 
Solaris' compiler, and the P4 API is built with gcc. I don't think that 
combination will work.

If that's the case, your best bet is to rebuild your Perl with gcc and then 
you'll be able to compile P4Perl.

Regards,

Tony



More information about the p4perl mailing list